Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.adapter.dataformat
Class FormatHelper

`java.lang.Object
oracle.adf.model.adapter.dataformat.FormatHelper`

public final class FormatHelper
extends java.lang.Object

Format structure handlers create structure from a source according to the jsr227 specification. This class will provide some common way to generate structure for some different use cases.

For some sources, e.g. a CSV data source, data is returned as a collection of rows. The structure definition must identify the returned collection as an Accessor so that the user can drop them on a view page from Data Control Palette. Moreover, the data control can be defined so that the definition depends on some parameters. For example CSV data control can define a URL source that takes a parameter, e.g. http://my.bugs?status=##STATUS##. The definition parameters should be exposed through the data control structure definition so that they can be bound to the page parameter etc. for a specific usage in a page.

This class supports method ``FormatHelper.StructureHelper.getRootMethod(StructureDefinition,boolean,DefinitionContext)`` to create a virtual method wrapped over the structure definition returned by the data control adapter. The virtual method exposes the definition parameters as the method parameters. The data returned by the data control is then returned by the method. So when an element under this method, which are exposed by the data control adapter, is dropped on a page a MethodActionBinding is generated and the parameter values can be set.

This class also supports method ``FormatHelper.StructureHelper.getRootAccessor(StructureDefinition,boolean,DefinitionContext)`` to create a root accessor in case the data control definition is not parameterized. The accesor creates all required binding paths required to be created for the data structure.

Since:
  10.1.3
Version:
  1.0

Nested Class Summary
`static class` | `FormatHelper.DataHelper` Class that provides different helper methods for the data extracted from a format data handler.
`static class` | `FormatHelper.StructureHelper` Class that provides different helper methods for the structure definition extracted from a format structure handler.

Field Summary
`static java.lang.String` | `DATA` Name of the collection returned by the wrapper method.
`static java.lang.String` | `METHOD_CREATE` Name of the wrapper method that a structure definition can be wrapped with.
`static java.lang.String` | `OPERATIONS` Name of the accessor to have the standard operations.

Constructor Summary
`FormatHelper()`

Method Summary
`static StructureDef` | `createStandardCollectionOpStructure(NamedDefinition parent)` Adds standard set of methods for a colection.
`static FormatHelper.DataHelper` | `getDataHelper(FormatDataHandler handler)` Gets the helper for a `FormatDataHandler`.
`static FormatHelper.StructureHelper` | `getStructureHelper(FormatStructureHandler handler)` Gets the structure definition helper for a `FormatStructureHandler`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METHOD_CREATE

    public static final java.lang.String METHOD_CREATE

  Name of the wrapper method that a structure definition can be wrapped with.

### DATA

    public static final java.lang.String DATA

  Name of the collection returned by the wrapper method.

### OPERATIONS

    public static final java.lang.String OPERATIONS

  Name of the accessor to have the standard operations.

Constructor Detail

### FormatHelper

    public FormatHelper()

Method Detail

### getStructureHelper

    public static final FormatHelper.StructureHelper getStructureHelper(FormatStructureHandler handler)

  Gets the structure definition helper for a `FormatStructureHandler`.
  Parameters:
    `handler` - format structure handler that generates structure definition from a specifc data source.

### getDataHelper

    public static final FormatHelper.DataHelper getDataHelper(FormatDataHandler handler)

  Gets the helper for a `FormatDataHandler`.
  Parameters:
    `handler` - format data handler that extracts data from a specific data source.

### createStandardCollectionOpStructure

    public static StructureDef createStandardCollectionOpStructure(NamedDefinition parent)

  Adds standard set of methods for a colection.
  Parameters:
    `parent` - parent structure definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.